$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/566/SoftwareIdeasModelerSetup32-11-25.exe'
$url64      = 'https://www.softwareideas.net/Download/File/565/SoftwareIdeasModelerSetup64-11-25.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '0db49a3bb2c5b0a9f676ad9e03cbcaf8de0dc71fd6f6fbddfee258cdb9e77447'
  checksumType  = 'sha256'
  checksum64    = '8dea0b5e3ccc2b9d9f7c81595f4adf1ce2c0616fed9408ae54a2a92ac78daf72'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
